//app.js
App({
  onLaunch: function () {
    // 展示本地存储能力
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs);
    var _this = this
    wx.getSystemInfo({
      success: function (response) {
        if (response.model.toUpperCase().indexOf('IPHONE') >= 0 && response.model.toUpperCase().indexOf('X') >= 0) {
          _this.globalData.isIpx = true;
        }
      }
    })
    wx.request({
      url: 'https://m.zuihuibi.cn/api/authorize/obtainToken',
      method: 'POST',
      data: {
        ticket: 'miniPro'
      },
      success: function (response) {
        wx.setStorageSync('X-Authorization', response.data.data.token);
        // 登录
        wx.login({
          success: function (res) {
            if (res.code) {
              //发起网络请求
              wx.request({
                url: 'https://m.zuihuibi.cn/api/jscode2session',
                method: 'POST',
                header: { 'X-Authorization': wx.getStorageSync('X-Authorization') },
                data: {
                  appid: 'wx6ae60f33768036aa',
                  secret: 'd31f03454666a2a0dd261ee90c8aa6ce',
                  js_code: res.code
                },
                success: function (res) {
                  wx.setStorageSync('sessionKey', res.data.data.session_key);
                  wx.setStorageSync('openid', res.data.data.openid);
                }
              })
            } else {
              console.log('登录失败！' + res.errMsg)
            }
          }
        })
        // // 获取用户信息
        // wx.getSetting({
        //   success: res => {
        //     if (res.authSetting['scope.userInfo']) {
        //       // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
        //       // wx.getUserInfo({
        //       //   success: res => {
        //       //     // 可以将 res 发送给后台解码出 unionId
        //       //     this.globalData.userInfo = res.userInfo

        //       //     // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
        //       //     // 所以此处加入 callback 以防止这种情况
        //       //     if (this.userInfoReadyCallback) {
        //       //       this.userInfoReadyCallback(res)
        //       //     }
        //       //   }
        //       // })
        //     }
        //   }
        // })
      }
    })
  },
  globalData: {
    userInfo: null,
    isIpx: false
  }
})